DROP TABLE CRST_PO_APPROVED_SUPPLIER_LIST;

CREATE TABLE CRST_PO_APPROVED_SUPPLIER_LIST
(
  ASL_ID                  NUMBER                NOT NULL,
  USING_ORGANIZATION_ID   NUMBER                NOT NULL,
  OWNING_ORGANIZATION_ID  NUMBER                NOT NULL,
  VENDOR_BUSINESS_TYPE    VARCHAR2(25 BYTE)     NOT NULL,
  ASL_STATUS_ID           NUMBER                NOT NULL,
  LAST_UPDATE_DATE        DATE                  NOT NULL,
  LAST_UPDATED_BY         NUMBER                NOT NULL,
  CREATION_DATE           DATE                  NOT NULL,
  CREATED_BY              NUMBER                NOT NULL,
  MANUFACTURER_ID         NUMBER,
  VENDOR_ID               NUMBER,
  ITEM_ID                 NUMBER,
  CATEGORY_ID             NUMBER,
  VENDOR_SITE_ID          NUMBER,
  PRIMARY_VENDOR_ITEM     VARCHAR2(25 BYTE),
  MANUFACTURER_ASL_ID     NUMBER,
  REVIEW_BY_DATE          DATE,
  COMMENTS                VARCHAR2(240 BYTE),
  ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  ATTRIBUTE1              VARCHAR2(150 BYTE),
  ATTRIBUTE2              VARCHAR2(150 BYTE),
  ATTRIBUTE3              VARCHAR2(150 BYTE),
  ATTRIBUTE4              VARCHAR2(150 BYTE),
  ATTRIBUTE5              VARCHAR2(150 BYTE),
  ATTRIBUTE6              VARCHAR2(150 BYTE),
  ATTRIBUTE7              VARCHAR2(150 BYTE),
  ATTRIBUTE8              VARCHAR2(150 BYTE),
  ATTRIBUTE9              VARCHAR2(150 BYTE),
  ATTRIBUTE10             VARCHAR2(150 BYTE),
  ATTRIBUTE11             VARCHAR2(150 BYTE),
  ATTRIBUTE12             VARCHAR2(150 BYTE),
  ATTRIBUTE13             VARCHAR2(150 BYTE),
  ATTRIBUTE14             VARCHAR2(150 BYTE),
  ATTRIBUTE15             VARCHAR2(150 BYTE),
  LAST_UPDATE_LOGIN       NUMBER,
  REQUEST_ID              NUMBER,
  PROGRAM_APPLICATION_ID  NUMBER,
  PROGRAM_ID              NUMBER,
  PROGRAM_UPDATE_DATE     DATE,
  DISABLE_FLAG            VARCHAR2(1 BYTE),
  ASL_ID_N                NUMBER
);
